FROM openshift/golang-builder:rhel_8_golang_1.15 AS builder
ENV __doozer=update BUILD_RELEASE=202110011630.p0.git.bd79e15.assembly.stream BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202110011630.p0.git.bd79e15.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=bd79e15 OS_GIT_VERSION=4.6.0-202110011630.p0.git.bd79e15.assembly.stream-bd79e15 SOURCE_DATE_EPOCH=1633102092 SOURCE_GIT_COMMIT=bd79e15172c0725c6ad68c970952d22e3049dd44 SOURCE_GIT_TAG=bd79e15 SOURCE_GIT_URL=https://github.com/openshift/mdns-publisher 
WORKDIR /go/src/github.com/openshift/mdns-publisher
COPY . .
RUN GO111MODULE=on go build --mod=vendor

FROM openshift/ose-base:v4.6.0-202109030220.p0.git.618b71d.assembly.stream
ENV __doozer=update BUILD_RELEASE=202110011630.p0.git.bd79e15.assembly.stream BUILD_VERSION=v4.6.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=6 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.6.0-202110011630.p0.git.bd79e15.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=bd79e15 OS_GIT_VERSION=4.6.0-202110011630.p0.git.bd79e15.assembly.stream-bd79e15 SOURCE_DATE_EPOCH=1633102092 SOURCE_GIT_COMMIT=bd79e15172c0725c6ad68c970952d22e3049dd44 SOURCE_GIT_TAG=bd79e15 SOURCE_GIT_URL=https://github.com/openshift/mdns-publisher 
COPY --from=builder /go/src/github.com/openshift/mdns-publisher/mdns-publisher /usr/bin/

ENTRYPOINT ["/usr/bin/mdns-publisher"]

LABEL \
        io.k8s.display-name="mDNS-publisher" \
        io.k8s.description="Configurable mDNS service publisher" \
        maintainer="Antoni Segura Puimedon <antoni@redhat.com>" \
        name="openshift/ose-mdns-publisher" \
        com.redhat.component="ose-mdns-publisher-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Networking" \
        io.openshift.maintainer.subcomponent="mDNS" \
        release="202110011630.p0.git.bd79e15.assembly.stream" \
        io.openshift.build.commit.id="bd79e15172c0725c6ad68c970952d22e3049dd44" \
        io.openshift.build.source-location="https://github.com/openshift/mdns-publisher" \
        io.openshift.build.commit.url="https://github.com/openshift/mdns-publisher/commit/bd79e15172c0725c6ad68c970952d22e3049dd44" \
        version="v4.6.0"

